<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-blood-pressure-heading" jhiTranslate="twentyOnePointsApp.bloodPressure.home.createOrEditLabel">Create or edit a Blood Pressure</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="twentyOnePointsApp.bloodPressure.date" for="field_date">Date</label>
                    <div class="input-group">
                        <input id="field_date" type="text" class="form-control" name="date" ngbDatepicker #dateDp="ngbDatepicker" formControlName="date"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="dateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                    <div *ngIf="editForm.get('date')!.invalid && (editForm.get('date')!.dirty || editForm.get('date')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('date')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="twentyOnePointsApp.bloodPressure.systolic" for="field_systolic">Systolic</label>
                    <input type="number" class="form-control" name="systolic" id="field_systolic"
                           formControlName="systolic"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="twentyOnePointsApp.bloodPressure.diastolic" for="field_diastolic">Diastolic</label>
                    <input type="number" class="form-control" name="diastolic" id="field_diastolic"
                           formControlName="diastolic"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="twentyOnePointsApp.bloodPressure.user" for="field_user">User</label>
                    <select class="form-control" id="field_user" name="user" formControlName="user">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="userOption.id === editForm.get('user')!.value?.id ? editForm.get('user')!.value : userOption" *ngFor="let userOption of users; trackBy: trackById">{{ userOption.login }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
